{"title":"Get salesInvoiceLines (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_salesinvoiceline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_salesinvoiceline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_salesinvoiceline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a sales invoice line object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get salesInvoiceLines (v1.0)","slug":"get-salesinvoicelines-v10","at":0,"chars":2236},{"level":2,"title":"Prerequisites","slug":"prerequisites","at":126,"chars":17},{"level":2,"title":"HTTP request","slug":"http-request","at":143,"chars":252},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":395,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":474,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":543,"chars":136},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":679,"chars":1220},{"level":2,"title":"Related information","slug":"related-information","at":1899,"chars":337}],"text":"# Get salesInvoiceLines (v1.0)\nRetrieve the properties and relationships of a sales invoice line object for Business Central.\n## Prerequisites\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesInvoices({id})/salesInvoiceLines({salesInvoiceLineId})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a salesInvoiceLines object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/salesInvoices({id})/salesInvoiceLines({salesInvoiceLineId})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"documentId\": \"id-value\",\n  \"sequence\": 10000,\n  \"itemId\": \"id-value\",\n  \"accountId\": \"id-value\",\n  \"lineType\": \"Item\",\n  \"lineDetails\": {\n    \"number\": \"GL000009\",\n    \"displayName\": \"GL000009\",\n    \"description\": null\n  },\n  \"description\": \"someText\",\n  \"unitOfMeasureId\": \"id-value\",\n  \"unitOfMeasure\": {\n    \"code\": \"BOX\",\n    \"displayName\": \"Box\",\n    \"symbol\": null,\n    \"unitConversion\": null\n  },\n  \"unitPrice\": 71.1,\n  \"quantity\": 96,\n  \"discountAmount\": 0,\n  \"discountPercent\": 0,\n  \"discountAppliedBeforeTax\": false,\n  \"amountExcludingTax\": 6825.6,\n  \"taxCode\": \"VAT10\",\n  \"taxPercent\": 10,\n  \"totalTaxAmount\": 682.56,\n  \"amountIncludingTax\": 7508.16,\n  \"invoiceDiscountAllocation\": 0,\n  \"netAmount\": 6825.6,\n  \"netTaxAmount\": 682.56,\n  \"netAmountIncludingTax\": 7508.16,\n  \"shipmentDate\": \"2015-02-24\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Invoice Line<../resources/dynamics_salesinvoiceline>\nCreate Sales Invoice Line<dynamics_create_salesinvoiceline>\nUpdate Sales Invoice Line<dynamics_salesinvoiceline_update>\nDelete Sales Invoice Line<dynamics_salesinvoiceline_delete>"}